/* expr.h: definitions for expression evaluator */

#ifndef EXPR_HDR
#define EXPR_HDR

/* error codes */
#define EXPR_GOOD	0	/* expression totally good */
#define EXPR_SOSO	-1	/* expression partially good */
#define EXPR_BAD	-2	/* expression totally bad */

extern int expr_error;		/* holds error code after expr_eval */

int expr_eval_int(char *str);
long expr_eval_long(char *str);
double expr_eval(char *str);
static double expr(void);
static double term(void);
static double factor(void);
static double signednumber(void);
static double number(void);
static double paren(void);
static paren2(double *x, double *y);
static double posconst(void);
static digit(int c);
static double expt(int a, int n);
static eq(int n, char *a, char *b);
static error_nechyba(char *s, int len, char *err);
static prints(int n, char *s);

#endif
